ATA_SAS_PORT_ALLOC(9)

NAME
ata_sas_port_alloc - Allocate port for a SAS attached SATA device

SYNOPSIS

struct ata_port * ata_sas_port_alloc(struct ata_host * host, struct ata_port_info * port_info, struct Scsi_Host * shost);

ARGUMENTS

host
    ATA host container for all SAS ports

port_info
    Information from low-level host driver

shost
    SCSI host that the scsi device is attached to

LOCKING

PCI/etc. bus probe sem.

RETURNS

ata_port pointer on success / NULL on failure.

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT